# Interface MenuItemComponentDependencies

interface MenuItemComponentDependencies {
componentOptions: MenuItemOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- ClickableComponentDependencies
  - MenuItemComponentDependencies
    - PlaybackRateMenuItemComponentDependencies
    - TextTrackMenuItemComponentDependencies
    - AudioTrackMenuItemComponentDependencies
    - ChaptersMenuItemComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: MenuItemOptions

Overrides ClickableComponentDependencies.componentOptions

### name

name: string

Inherited from ClickableComponentDependencies.name

### `Optional` type

type?: string

Inherited from ClickableComponentDependencies.type